#
# spec file for package flatpak-xdg-utils
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           flatpak-xdg-utils
Summary:        Command-line tools for use inside Flatpak sandboxes
Version:        1.0.6
Release:        bp160.1.2
License:        LGPL-2.1-or-later
URL:            https://github.com/flatpak/flatpak-xdg-utils
Source:         %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  c_compiler
BuildRequires:  meson
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)

Requires:       flatpak-spawn

%description
This package contains a number of command-line utilities for use inside
Flatpak sandboxes. They work by talking to portals.

%package -n     flatpak-spawn
Summary:        Command-line frontend for the org.freedesktop.Flatpak service
License:        LGPL-2.1-or-later

%description -n flatpak-spawn
This package contains a number of command-line utilities for use inside
Flatpak sandboxes. They work by talking to portals.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
mv $RPM_BUILD_ROOT%{_bindir}/xdg-email $RPM_BUILD_ROOT%{_bindir}/flatpak-xdg-email
mv $RPM_BUILD_ROOT%{_bindir}/xdg-open $RPM_BUILD_ROOT%{_bindir}/flatpak-xdg-open

%files
%doc README.md
%license COPYING
%{_bindir}/flatpak-xdg-email
%{_bindir}/flatpak-xdg-open

%files -n flatpak-spawn
%license COPYING
%{_bindir}/flatpak-spawn

%changelog
* Wed Dec 11 2024 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 1.0.6:
  + flatpak-spawn now supports --sandbox-a11y-own-name (if
    supported by portal).
  + flatpak-spawn prints a useful error when --host isn't
    permitted.
- Drop 264052bbf52899410421454150c493264bd1a696.patch: Fixed
  upstream.
* Mon Nov  6 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Fri Jul 15 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Add 264052bbf52899410421454150c493264bd1a696.patch:
  flatpak-spawn: Fix memory leak when receiving NameOwnerChanged.
* Fri Mar 18 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 1.0.5:
  + flatpak-spawn supports --app-path and --usr-path.
  + flatpak-spawn --sandbox-expose-path now tries to normalize
    paths to work better with portals.
  + flatpak-spawn now supports --unset-env and --env-fd.
  + flatpak-spwan now supports --share-pid (if supported by
    portal).
  + xdg-email now passes attachments correctly.
  + Added tests.
  + Fixed leaks.
- Replace gcc with generic c_compiler BuildRequires.
- Add explicit pkgconfig BuildRequires, pkgconfig is used, so we
  should make sure it is installed.
* Sun Mar 14 2021 Anthony Rabbito <hello@anthonyrabbito.com>
- 1.0.4
  * Close intermediate copies of forwarded fds in flatpak-spawn.
